summarylogtreecommitdiffstats
path: root/linpack_runme_xeon64
diff options
context:
space:
mode:
authorgraysky2017-12-14 15:36:47 -0500
committergraysky2017-12-14 15:36:47 -0500
commit64b48e63a98040e5c502eac45d6935c39225257d (patch)
tree222347a221f15336e496711e0074560218bcfdc8 /linpack_runme_xeon64
parent41e8e1bf39d31e4ff279eca67af6663eee72d022 (diff)
downloadaur-64b48e63a98040e5c502eac45d6935c39225257d.tar.gz
Update to 2018.0.006-1
Diffstat (limited to 'linpack_runme_xeon64')
-rw-r--r--linpack_runme_xeon6426
1 files changed, 26 insertions, 0 deletions
diff --git a/linpack_runme_xeon64 b/linpack_runme_xeon64
new file mode 100644
index 000000000000..b4b5b97e0644
--- /dev/null
+++ b/linpack_runme_xeon64
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+export KMP_AFFINITY=nowarnings,compact
+
+SKEL_CONFIG="/usr/share/linpack"
+CONFIG="$SKEL_CONFIG/linpack.conf"
+XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
+
+[[ -f "$SKEL_CONFIG/linpack.conf" ]] || {
+ echo "ERROR: Missing $SKEL_CONFIG/linpack.conf - reinstall this package." ; exit 1 ; }
+
+[[ -d $XDG_CONFIG_HOME ]] || mkdir $XDG_CONFIG_HOME
+[[ -f "$XDG_CONFIG_HOME/linpack.conf" ]] || cp "$CONFIG" "$XDG_CONFIG_HOME"
+
+echo -e "Edit \E[31m$XDG_CONFIG_HOME/linpack.conf\E[37m to adjust the amount of physical memory to consume."
+echo
+echo -e "Starting calculation.... hit ctrl+c to stop."
+echo -e "Consult \E[31m~/lin_xeon64.txt\E[37m for results as they are caculated."
+
+date
+date >> ~/lin_xeon64.txt
+
+/usr/bin/xlinpack_xeon64 $XDG_CONFIG_HOME/linpack.conf >> ~/lin_xeon64.txt
+date >> ~/lin_xeon64.txt
+echo -n "Done: "
+date